#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>
#import <MXA/Plugins.h>
#import <MXA/Visualization.h>
#import <vorbis/vorbisfile.h>

@interface OggDecoder : Input
{
	OggVorbis_File ogg;
	BOOL playing,stop; // playinǵAɍĐǂBstoṕA~wꂽƂB
	
	int seek_to;
}
// public
- init;
- (BOOL)isOurFile:(NSString *)filename;
- (NSDictionary *)getSongInfoForFile:(NSString *)filename;
- (NSDictionary *)getSongInfoForOgg:(OggVorbis_File *)ogg_to_get_comments ofFile:(NSString *)filename;
- (void)playFile:(NSString *)filename;
- (void)seek:(int)time;
- (void)pause:(BOOL)p;

// private
- (void)decode_loop:(NSString *)filename;
@end